POST
application/json- body
markets*array<string>Token identifiers (markets) to query. Maximum 20.
Items
1 <= items <= 20start_ts?integerStart of the time range (unix timestamp in seconds). Required when interval is absent.
Format
int64end_ts?integerEnd of the time range (unix timestamp in seconds). Defaults to now when omitted.
Format
int64interval?stringPreset time window to query. Cannot be used with start_ts/end_ts. all is accepted as an alias for max and uses 12h buckets aligned to 00:00/12:00 UTC.
Value in
"1m""5m""15m""1h""6h""1d""1w""max""all"fidelity?integerBucket size in minutes when using explicit timestamps. Auto-calculated when omitted and rounded up to the nearest supported step (1m, 5m, 30m, 3h, 12h).
Format
int32Range
1 <= valueTime series of midpoint prices per market
application/json- response
history*Map of token identifier to historical midpoint price series.
curl -X POST 'https://clob.kuest.com/batch-prices-history' \ -H 'Content-Type: application/json' \ -d '{ "markets": [ "string" ]}'{ "history": { "property1": [ { "t": 0, "p": 0 } ], "property2": [ { "t": 0, "p": 0 } ] }}